如何检测bash脚本中的git clone是否失败
如何判断git clone
bash脚本中是否有错误?
git clone git@github.com:my-username/my-repo.git
如果有错误,我想简单地说exit 1
;
回答:
以下是一些常见的形式。最佳选择取决于您的工作。您可以在单个脚本中使用任何子集或它们的组合,而不会造成不良影响。
if ! failingcommandthen
echo >&2 message
exit 1
fi
failingcommandret=$?
if ! test "$ret" -eq 0
then
echo >&2 "command failed with exit status $ret"
exit 1
fi
failingcommand || exit "$?"
failingcommand || { echo >&2 "failed with $?"; exit 1; }
以上是 如何检测bash脚本中的git clone是否失败 的全部内容, 来源链接: utcz.com/qa/428427.html